package eu.univento.commons;

import eu.univento.commons.configuration.ConfigurationHandler;
import eu.univento.commons.database.DatabaseManager;
import eu.univento.commons.logging.LoggingHandler;
import eu.univento.commons.player.language.Languages;
import eu.univento.commons.security.SecurityHandler;
import lombok.Getter;

/**
 * @author joethei
 * @version 1.0
 */

@Getter
public class Commons {

    private static Commons commons;

    private DatabaseManager databaseManager;
    private ConfigurationHandler configurationHandler;
    private SecurityHandler securityHandler;
    private LoggingHandler loggingHandler;

    public Commons() {
        commons = this;
        configurationHandler = new ConfigurationHandler();
        databaseManager = new DatabaseManager(this);
        securityHandler = new SecurityHandler(this);
        loggingHandler = new LoggingHandler();
        Languages.init();
    }

    public void shutdown() {
        getDatabaseManager().closeConnections();
    }

    public static Commons getCommons() {
        return commons;
    }

}